Ошибка при установке Warning: mysqli_real_connect():

Тема в разделе "SourceBans", создана пользователем inGame, 7 окт 2016.

  1. inGame

    inGame

    Сообщения:
    7
    Симпатии:
    0
    Всем доброго времени суток. Обращаюсь за помощью.
    Устанавливаю sourcebans версии 1.5.5, как это написано в исходнике плагина:
    #define SB_VERSION "1.5.5++-dev"
    #define SBR_VERSION "1.5.5-dev"

    При установке веб-части вылазит ошибка на 3 шаге (Step 3 - System Requirements Check):
    Warning: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50552 Library:50633 in /var/www/мой-сайт.ru/includes/adodb/drivers/adodb-mysqli.inc.php on line 124
    строка 124:
    $this->clientFlags);

    Знаю что это проблема с коннектом к mysql, но через этот же phpmyadmin и созданную в нем бд работает мой сайт и без проблем.
    Не понимаю почему так себя ведет sourcebans

    [​IMG]

    База данных существует
    [​IMG]

    [​IMG]

    Помогите пожалуйста решить проблему

    Заранее спасибо.
     
  2. Tallanvor

    Tallanvor Красноглазый

    Сообщения:
    1.075
    Симпатии:
    302
    @inGame, судя по скринам, у тебя что-то из деб-семейства в качестве ОС
    Просто поставь пакет php5-mysqlnd
    Код:
    apt-get install php5-mysqlnd
    При установке, он автоматом предложит снести пакет php5-mysql - это норм, соглашайся.
    После этого следует перезапустить apache, если для работы с php используется он, или php-fpm, если юзаешь его.
     
  3. inGame

    inGame

    Сообщения:
    7
    Симпатии:
    0
    да, debian 7 стоит

    сейчас попробуем
    --- Добавлено позже ---

    Код:
    :~# apt-get install php5-mysqlnd
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
    php5-mysqlnd : Depends: phpapi-20100525
                    Depends: php5-common (= 5.4.45-0+deb7u5) but 5.6.26-1~dotdeb+7.1 is to be installed
    
     
  4. Tallanvor

    Tallanvor Красноглазый

    Сообщения:
    1.075
    Симпатии:
    302
    Так-с, уважаемый, а кто нахомутал в конфигах?
    Откуда в 7-м дебе всплыли хвосты пыха 5.4 ?!
    Что пихал в sources.list ? И главное - зачем?!!!
     
    Danyas нравится это.
  5. inGame

    inGame

    Сообщения:
    7
    Симпатии:
    0
    обновлял php5, т.к. движок сайта требовал новее. А дефолтом было 5.4 вроде
     
  6. Tallanvor

    Tallanvor Красноглазый

    Сообщения:
    1.075
    Симпатии:
    302
    @inGame, нашёл гайд в гугле, и копипаста, да?
    Мои поздравления...
    Насчёт 5.4 по дефолту - это да, провтык, сорри.

    Ладно, давай так:
    под спойлер содержимое файла /etc/apt/sources.list и всех файлов, что есть в /etc/apt/sources.list.d/* - вычистим ненужное, если имеется таковое.
    Потом продолжим.
     
  7. inGame

    inGame

    Сообщения:
    7
    Симпатии:
    0
    Да, именно так) даже ссылкочку покажу откуда брал

    Код:
    deb http://ftp.debian.org/debian wheezy main contrib non-free
    deb-src http://ftp.debian.org/debian wheezy main contrib non-free
    
    deb http://ftp.debian.org/debian wheezy-updates main contrib non-free
    deb-src http://ftp.debian.org/debian wheezy-updates main contrib non-free
    
    deb http://security.debian.org/ wheezy/updates main contrib non-free
    deb-src http://security.debian.org/ wheezy/updates main contrib non-free
    deb http://ftp.debian.org/debian wheezy-backports main contrib non-free

    google-chrome.list:
    Код:
    deb http://dl.google.com/linux/chrome/deb/ stable main
    deb http://dl.google.com/linux/chrome/deb/ stable main
    
    webupd8team-java.list:
    Код:
    deb http://ppa.launchpad.net/webupd8team/java/ubuntu precise main
    deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu precise main